<div class="pages-menu">
        <button type="button" class="pages-btn">Pages</button>
        <ul class="pages-list">
            <li><a href="index.html">Index.html</a></li>
            <li><a href="cart.html">Cart.html</a></li>
            <li><a href="categories.html">Categories.html</a></li>
        </ul>
    </div>
    
    <style>
        .pages-menu{
            position: fixed;
            top: 50%;
            left: 0;
            transform: translate(0, -50%);
        }
        .pages-btn{
            outline: none !important;
            border: none;
            color: #fff;
            padding: 5px 15px;
            background: linear-gradient(to right, #1080cc8c, #fb687c);
            cursor: pointer;
        }
        .pages-list{
            display: none;
            margin: 0;
            padding: 10px;
            list-style-type: none;
            background-color: #0f92ea54;
        }
        .pages-list li{
            margin: 5px 0;
            transition: 0.3s ease-in-out;
        }
        .pages-list a{
            text-decoration: none;
            color: #fff;
        }
    </style>
    
    <script>
        $('.pages-btn').click(function () {
            $('.pages-list').slideToggle();
        });
    </script>